Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Client\ObjectCache Class Reference

Simple cache for value objects during a single request. More...

## Public Member Functions
| store ($key, ValueObject $data)
| Stores $data under $key. More...
| restore ($key)
| Restores data stored under $key, returns null if $key is not found. More...
| clear ($key)
| Clears the data stored in $key. More...
| clearAll ()
| Clears all cached items. More...

## Protected Attributes
| $cachedObjects = array()

## Detailed Description

Simple cache for value objects during a single request.

Definition at line 14 of file ObjectCache.php.

## Member Function Documentation

## ◆ clear()

eZ\Publish\Core\REST\Client\ObjectCache::clear | ( |  | $key | ) |

Clears the data stored in $key.

Parameters

  string | $key |

Definition at line 55 of file ObjectCache.php.

## ◆ clearAll()

eZ\Publish\Core\REST\Client\ObjectCache::clearAll | ( |  | ) |

Clears all cached items.

Definition at line 63 of file ObjectCache.php.

## ◆ restore()

eZ\Publish\Core\REST\Client\ObjectCache::restore | ( |  | $key | ) |

Restores data stored under $key, returns null if $key is not found.

Parameters

  string | $key |

Returns
  ValueObject|null

Definition at line 41 of file ObjectCache.php.

## ◆ store()

eZ\Publish\Core\REST\Client\ObjectCache::store | ( |  | $key,
|  | ValueObject | $data
| ) |  |

Stores $data under $key.

Parameters

  string | $key |
  ValueObject | $data |

Definition at line 29 of file ObjectCache.php.

## Member Data Documentation

## ◆ $cachedObjects

eZ\Publish\Core\REST\Client\ObjectCache::$cachedObjects = array()
| protected

Definition at line 21 of file ObjectCache.php.

The documentation for this class was generated from the following file:

- ObjectCache.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.